Class | Sequel::Amalgalite::SequelTypeMap
In: | lib/sequel/adapters/amalgalite.rb
Parent: | ::Amalgalite::TypeMaps::DefaultMap

Type conversion map class for Sequel‘s use of Amalgamite

### Methods

blob datetime decimal result_value_of

### Public Instance methods

blob(s)

Return blobs as instances of Sequel::SQL::Blob instead of Amalgamite::Blob

[Source]

        # File lib/sequel/adapters/amalgalite.rb, line 20
    20:       def blob(s)
    21:         SQL::Blob.new(s)
    22:       end

datetime(s)

Return datetime types as instances of Sequel.datetime_class

[Source]

        # File lib/sequel/adapters/amalgalite.rb, line 31
    31:       def datetime(s)
    32:         Sequel.database_to_application_timestamp(s)
    33:       end

decimal(s)

Return numeric/decimal types as instances of BigDecimal instead of Float

[Source]

        # File lib/sequel/adapters/amalgalite.rb, line 26
    26:       def decimal(s)
    27:         BigDecimal.new(s)
    28:       end

result_value_of(declared_type, value)

Don‘t raise an error if the value is a string and the declared type doesn‘t match a known type, just return the value.

[Source]

        # File lib/sequel/adapters/amalgalite.rb, line 37
    37:       def result_value_of(declared_type, value)
    38:         if value.is_a?(::Amalgalite::Blob)
    39:           SQL::Blob.new(value.source)
    40:         elsif value.is_a?(String) && declared_type
    41:           (meth = self.class.sql_to_method(declared_type.downcase)) ? send(meth, value) : value
    42:         else
    43:           super
    44:         end
    45:       end

[Validate]